/* Compare least-squared means of search times. */
ods html file="Test.html";
ods graphics on;
proc sort data=sasuser.mdin;
   by n s;
   run;
proc glm data=sasuser.mdin;
   by n;
   class s i user;
   model logtime=s|i|user;
   lsmeans s / t;
   ods output LSMeans=LSMeans;
   quit;
proc sort data=sasuser.mdin;
   by n s;
   run;
data plot;
   set sasuser.mdin;
   ns = 10 * n + s;
   run;
symbol v=dot color=black;
proc boxplot data=plot;
   plot time*ns / boxstyle=schematic idsymbol=circle
      cboxes=dagr cboxfill=vligb font=swiss;
   run;

/* Calculate error rates. */
proc sort data=sasuser.mdin;
   by s n;
   run;
proc freq nlevels data=sasuser.mdin;
   by s n;
   tables found;
   run;
ods graphics off;
ods html close;
