/* Concatenate all user output into a single file. */

data empty;
   input test 1-2 user 6-7 trial 11-12
      distractor $ 15-28 target $ 29-43
      x 44-46 y 50-52 found 55 time 62-65;
   logtime = 0;
   same = 0;
   pair = '                                        ';
   datalines;
run;
data sasuser.ms;
   set empty;
   run;

%macro doit();
%do user=1 %to 80;
   data tmp;
      set empty;
   run;
   %if( &user < 10 ) %then
      %let results_file = C:\MS0300&user..txt;
   %else
      %let results_file = C:\MS030&user..txt;
   data tmp;
      infile "&results_file" pad;
      input test 1-2 user 6-7 trial 11-12
         distractor $ 15-28 target $ 29-43
         x 44-46 y 50-52 found 55 time 62-65;
      logtime = log( time );
      same = 0;
      if( distractor = target ) then
         same = 1;
      pair = '                                        ';
      if( distractor < target ) then
         pair = trim( distractor ) || trim( target );
      else
         pair = trim( target ) || trim( distractor );
   run;
   proc append base=sasuser.ms data=tmp;
   run;
%end;
%mend doit;

%doit();

proc sort data=sasuser.ms;
   by pair;
   run;
