/* Duplicate target and distractor so mean calculation gives a full matrix. */
data sasuser.ms;
   set sasuser.ms;
   output;
   foo = target;
   target = distractor;
   distractor = foo;
   output;
   run;

/* Extract the cases where target and distractor differ. */
data sasuser.differ;
   set sasuser.ms;
   where( target ^= distractor );
   run;

/* Calculate mean( log( time )) for all pairs. */
proc means data=sasuser.ms;
   class target distractor;
   types target*distractor;
   var logtime;
   output out=sasuser.msmean mean=mean;
   run;

options pagesize=700;
data sasuser.msmean;
   set sasuser.msmean;
   drop _TYPE_;
   run;
proc print data=sasuser.msmean; run;
