/* Reformat data and perform multi-dimensional scaling. */

data sasuser.mds;
   array a( 25 );
   set sasuser.msmean;
   i + 1;
   do j = 1 to 25;
      if( i = j ) then do;
         if( missing( mean )) then
            a( i ) = .;
         else
            a( i ) + mean;
      end;
   end;
   if( i = 25 ) then do;
      output;
      i = 0;
      do j = 1 to 25;
          a( j ) = 0;
      end;
   end;
   run;

data sasuser.mds;
   set sasuser.mds;
   drop distractor mean i j _FREQ_;
   run;

proc print data=sasuser.mds;
   run;

proc mds data=sasuser.mds dim=3 level=interval similar out=sasuser.out;
   id target;
   run;
data sasuser.out;
   set sasuser.out;
   where( _TYPE_ = 'CONFIG' );
   drop _DIMENS_ _MATRIX_ _TYPE_;
   run;
